CHOWN(1)

NAMN
chown - change file owner and group

SYNOPSIS
chown [FLAGGA]... [ÄGARE][:[GRUPP]] FIL...
chown [FLAGGA]... --reference=RFIL FIL...

BESKRIVNING
This manual page documents the GNU version of chown. chown changes the user and/or group ownership of each given file. If only an owner (a user name or numeric user ID) is given, that user is made the owner of each given file, and the files' group is not changed. If the owner is followed by a colon and a group name (or numeric group ID), with no spaces between them, the group ownership of the files is changed as well. If a colon but no group name follows the user name, that user is made the owner of the files and the group of the files is changed to that user's login group. If the colon and group are given, but the owner is omitted, only the group of the files is changed; in this case, chown performs the same function as chgrp. If only a colon is given, or if the entire operand is empty, neither the owner nor the group is changed.

FLAGGOR

Ändra ägaren och/eller gruppen på varje FIL till ÄGARE och/eller GRUPP. Med --reference, ändra ägaren och gruppen för varje FIL till dem för RFIL.

-c, --changes
    Som --verbose men rapportera bara när ändringar görs.

-f, --silent, --quiet
    Utelämna de flesta felmeddelanden.

-v, --verbose
    Skriv ut ett meddelande för varje bearbetad fil.

--dereference
    Ändra referensen för varje symbolisk länk (detta är standard) istället för den symboliska länken själv.

-h, --no-dereference
    Ändra symboliska länkar istället för refererade filer (meningsfullt endast på system där det går att ändra ägare på en symbolisk länk).

--from=NUVARANDE_ÄGARE:NUVARANDE_GRUPP
    Byt ägare och/eller grupp på varje fil endast om dess nuvarande ägare och/eller grupp stämmer med de som anges här. Endera kan utelämnas, och då ställs inget krav på tillhörighet för det utelämnade attributet.

--no-preserve-root
    Behandla inte ”/” speciellt (normalfall).

--preserve-root
    Låt bli att arbeta på ”/”.

--reference=RFIL
    Använd RFILs ägare och grupp istället för att ange ÄGARE:GRUPPvärden.

-R, --recursive
    Arbeta på filer och kataloger rekursivt.

Följande flaggor modifierar hur en hierarki traverseras när flaggan -R också anges. Om mer än en anges har enbart den sista någon verkan.

-H  Om ett kommandoradsargument för ett kommando är en symbolisk länk, följ den.

-L  Följ varje symbolisk länk till en katalog som påträffas.

-P  Följ inga symboliska länkar (normalfall).

--help
    Visa denna hjälp och avsluta.

--version
    Visa versionsinformation och avsluta.

Ägaren byts inte om den utelämnas. Grupp byts inte om utelämnad, men byts till inloggningsgrupp om underförstådd av ”:” efter en symbolisk ÄGARE. ÄGARE och GRUPP kan vara numeriska såväl som symboliska.

EXEMPEL

chown root /u
    Ändra ägare av /u till ”root”.

chown root:staff /u
    Samma, men ändra även dess grupp till ”staff”.

chown -hR root /u
    Ändra ägare av /u och underfiler till ”root”.

UPPHOVSMAN
Skrivet av David MacKenzie och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>.

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE OCKSÅ
chown(2)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/chown>
eller tillgängligt lokalt via: info '(coreutils) chown invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till <TODO>.